# WorkItem

for user interaction with workflows

## PUT /cmn/work-items/{id}/unassign

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"WorkItem","description":"for user interaction with workflows"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/work-items/{id}/unassign":{"put":{"tags":["WorkItem"],"operationId":"unassignMe","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation"},"404":{"description":"work item not found"},"422":{"description":"work item not assigned to current user"}}}}}}
```

## PUT /cmn/work-items/{id}/input

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"WorkItem","description":"for user interaction with workflows"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/work-items/{id}/input":{"put":{"tags":["WorkItem"],"operationId":"processUserDecisionInput","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}},"required":true},"responses":{"200":{"description":"successful operation"},"404":{"description":"work item not found"},"422":{"description":"work item assigned to other user"}}}}}}
```

## PUT /cmn/work-items/{id}/assign-to-me

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"WorkItem","description":"for user interaction with workflows"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/work-items/{id}/assign-to-me":{"put":{"tags":["WorkItem"],"operationId":"assignToMe","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation"},"404":{"description":"work item not found"},"422":{"description":"work item already assigned"}}}}}}
```

## GET /cmn/work-items/open-user-decisions

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"WorkItem","description":"for user interaction with workflows"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/work-items/open-user-decisions":{"get":{"tags":["WorkItem"],"operationId":"getMyUnprocessedUserDecisions","parameters":[{"name":"userId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"workItemId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"synchronous","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/common-workflow-UserDecision"}}}}}}}}},"components":{"schemas":{"common-workflow-UserDecision":{"description":"Listen für Auswahloptionen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"workItemId":{"type":"integer","format":"int64","description":"ID des Work-Items, zu dem die Benutzerentscheidung gehört","readOnly":true},"resultName":{"type":"string","description":"Name unter dem das Ergebnis abgerufen werden kann"},"prompt":{"type":"string","description":"Textbeschreibung der Auswahl-Liste / Eingabeaufforderung"},"valueType":{"type":"string","description":"Typ der Listen-Elemente"},"choiceOptions":{"type":"array","description":"Vorgegebene Antwortmöglichkeiten, oder leer, falls offene Frage","items":{"$ref":"#/components/schemas/common-workflow-ChoiceOption"}},"searchDialog":{"type":"string","description":"Suchdialog zur Suche des Werts (statt den Auswahlmöglichkeiten)"},"trySynchronous":{"type":"boolean","default":false,"description":"Soll versucht werden, die Benutzerentscheidung synchron abzufragen?"},"multipleChoiceAllowed":{"type":"boolean"}},"required":["prompt","resultName","valueType"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"common-workflow-ChoiceOption":{"description":"Vorgegebene Antwortmöglichkeiten, oder leer, falls offene Frage","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Bezeichnung der Auswahl"},"value":{"type":"string","description":"Wert für die Auswahloption (Text)"},"followUpUserDecision":{"$ref":"#/components/schemas/common-workflow-UserDecision"},"defaultValue":{"type":"boolean"}},"required":["value"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.vario-software.de/api-reference/workitem.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
